<!DOCTYPE html>
<html>
<head>
    <%- include('../partials/headhome') %>
</head>
<body>
<div class="content">
    <%- include('../partials/headerHome') %>



    <div class="flex-container">


        <div class="sidebar">
            <div id="categoriesList">
                <% if (data != null && data.categories != null) { data.categories.forEach((category)=>{%>
                    <a style="background-color:<%if(category.status == "inactive"){%>gray<%}else{%>inherit<%}%>" href="/home/<%= data.userNameEn %>/<%= data.userTypeEn %>/<%=category.name%>/0/10000">
                    <div class="category"  id="<%= category.name %>">
                        <%= category.name %>
                    </div>
                    </a>
                <%});} %>
            </div>
        </div>


        <div id="productsPanel">

            <% if (data != null && data.products != null) { data.products.forEach((product)=>{%>

                <div class="polaroid" id="<%= product.name %>">
                <img src="<%= product.image %>" style="height:300px">
                <div class="container">
                    <p>Name : <%= product.name %></p>
                    <p>Description : <%= product.description %></p>
                    <p>Price : <%= product.price %></p>
                    <p>Quantity : <%= product.quantity %></p>
                </div>
                </div>
            <%});} %>
        </div>

    </div>
</div>




<div class="multi-modal-container hide">
        <div class="multi-modal-content">
            <div id="crossBtn" class="crossBtn" >
                <p>Add / Update Information</p>
                <img src="/static/images/close.svg" style="cursor: pointer; " />
            </div>
            <div class="multi-content">
                           


            </div>

        </div>
        <div class="multi-back-drop"></div>
    </div>

    <script type="text/javascript">


    let userName = "<%= data.userName %>";
    let userType = "<%= data.userType %>";
    

    let limit = "<%= data.limit %>";
    let offset = "<%= data.offset %>";
    let category = "<%= data.category %>";


    let addUpdateRadio = `<div class="multi-modal-radio-div" style="padding-bottom:30px">
                            <p>Add</p><input type="radio" id="radio" class="multi-modal-input" value="add" selected name="addUpdateRadio" id="addRadio"/>
                            <p>Update</p><input type="radio" id="radio" class="multi-modal-input" value="update" name="addUpdateRadio" id="updateRadio"/>
                            <p>Delete</p><input type="radio" id="radio" class="multi-modal-input" value="delete" name="addUpdateRadio" id="deleteRadio"/>
                        </div> `;


    let addProductModal = `
                <div class="multi-modal-input-div" style="padding-bottom:24px; ">
                    <p>Select Category for Update</p>
                    <select name="selectCategory" id="categorySelect" class="multi-modal-select add update delete" disabled>
                    <option value="">--Please choose an option if you want to Update --</option>
                    <% if (data != null && data.categories != null) { data.categories.forEach((category)=>{%>
                        <option value="<%=category.name%>"><%=category.name%></option>                           
                    <%});} %>
                    </select>
                </div>

                <div class="multi-modal-input-div" style="padding-bottom:24px">
                <p>Select Product for Update</p>
                <select name="selectProduct" id="productSelect" class="multi-modal-select update delete" disabled>
                <option value="">--Please choose a product --</option>
                </select>
                </div>

                <div class="multi-modal-input-div" style="padding-bottom:24px">
                    <p>Name</p>
                    <input type="text" class="multi-modal-input add update" value="" id="productName" placeholder="Product Name" disabled/>
                </div>
                <div class="multi-modal-input-div" style="padding-bottom:24px">
                    <p>Description</p>
                    <input type="textArea" class="multi-modal-input add update" lines=2 value="" placeholder="description" id="productDescription" disabled/>
                </div>
                <div class="multi-modal-input-div" style="padding-bottom:24px">
                    <p>Price</p>
                    <input type="number"  class="multi-modal-input add update" value="" placeholder="price" id="productPrice" disabled/>
                </div>
                <div class="multi-modal-input-div" style="padding-bottom:24px">
                    <p>Quantity</p>
                    <input type="number"  class="multi-modal-input add update" value="" placeholder="Quantity" id="productQuantity" disabled/>
                </div>
                <div class="multi-modal-input-div" style="padding-bottom:24px">
                    <p>Image</p>
                    <input type="text"  class="multi-modal-input add update" value="" placeholder="Image Link" id="productLink" disabled/>
                </div>
                <div style="text-align:center;display:flex;visibility: hidden;opacity: 0.9;padding:8px 0px;color:red;font-size: 16px;
                      justify-content:center;align-items: center;" id="toast">
                <p style="margin:0"></p>
                </div>
                <div class="multi-modal-input-div">
                    <button class="multi-modal-button" id="addUpdateProductSubmit"> Submit</button>
                </div>`;


    let addCategoryModal = `
                <div class="multi-modal-input-div" style="padding-bottom:24px">
                    <p>Select Category for Update</p>
                    <select name="selectCategory" id="categorySelect" class="multi-modal-select update delete" disabled>
                      <option value="">--Please choose an option if you want to Update --</option>
                      <% if (data != null && data.categories != null) { data.categories.forEach((category)=>{%>
                      <option value="<%=category.name%>"><%=category.name%></option>                           
                      <%});} %>
                    </select>
                </div>

                <div class="multi-modal-input-div" style="padding-bottom:24px">
                    <p>Name</p>
                    <input type="text"  class="multi-modal-input add update" value="" id="categoryName" placeholder="Category Name" disabled/>
                </div>
                <div class="multi-modal-radio-div" style="padding-bottom:24px">
                    <p>Status</p>
                    <p>Active</p>
                    <input type="radio" class="multi-modal-input add update" value="active" selected name="statusRadio" id="statusRadioActive" disabled/>
                    <p>Inactive</p>
                    <input type="radio" class="multi-modal-input add update" value="inactive" name="statusRadio" id="statusRadioInActive" disabled/>
                </div>
                <div style="text-align:center;display:flex;visibility: hidden;opacity: 0.9;padding:8px 0px;color:red;font-size: 16px;
                      justify-content:center;align-items: center;" id="toast">
                <p style="margin:0"></p>
                </div>
                <div class="multi-modal-input-div">
                    <button class="multi-modal-button" id="addUpdateCategorySubmit"> Submit</button>
                </div>`;


    
    document.getElementById("addProduct").addEventListener("click", () => {
        document.querySelector(".multi-content").innerHTML = addUpdateRadio + addProductModal;
        document.querySelector(".multi-modal-container").classList.remove("hide");

        addModalEventListeners("product");
    });
    document.getElementById("addCategory").addEventListener("click", () => {
        document.querySelector(".multi-content").innerHTML = addUpdateRadio + addCategoryModal;
        document.querySelector(".multi-modal-container").classList.remove("hide");

        addModalEventListeners("category"); 
    });
    document.getElementById("crossBtn").addEventListener("click", () => {
        document.querySelector(".multi-modal-container").classList.add("hide");
    });


    function addModalEventListeners(modal) {
        switch (modal) {
            case "category":
                document.getElementById("addUpdateCategorySubmit").addEventListener("click" ,addUpdatecategory);
                document.getElementsByName("addUpdateRadio").forEach((elem) =>{
                   elem.addEventListener("change" ,enableFields); 
                });
            break;
            case "product":
                document.getElementById("addUpdateProductSubmit").addEventListener("click",addUpdateProduct);
                document.getElementById("categorySelect").addEventListener("change",updateProducts);
                document.getElementById("productSelect").addEventListener("change",updateProductDetails);
                document.getElementsByName("addUpdateRadio").forEach((elem) =>{
                   elem.addEventListener("change" ,enableFields); 
                });
            break;
        }
    }

</script>
</body>
</html>
